﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=TextXclv.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private XCLV1 As CustomListView		
	Private Pane1 As Pane
	Private BTChiudi As Button	
	Private LBId As Label
	Private LBNome As Label
	Private LBCognome As Label
	Private LBEta As Label
	Private LBAltezza As Label
	Private LBSport As Label
	Private dbSQL As SQL
	Private dbCursor As ResultSet
	Type tGiocatori(Id As String, Nome As String, Cognome As String, Eta As String, Altezza As String, Sport As String)
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	If File.Exists(File.DirApp,"giocatori.db") = False Then		
		File.Copy(File.DirAssets,"giocatori.db",File.DirApp,"giocatori.db")	
	End If
	XCLV1.Clear
	dbSQL.InitializeSQLite(File.DirApp,"giocatori.db",True)
	Dim Giocatore As tGiocatori
	Giocatore.Initialize
	dbCursor = dbSQL.ExecQuery("SELECT rowid,* FROM TbGiocatori")
	Dim ItemWidth As Int = XCLV1.AsView.Width
	Dim ItemHeight As Int = 140dip
	Do While dbCursor.NextRow
		Giocatore.Id = dbCursor.GetString("id")
		Giocatore.Nome = dbCursor.GetString("nome")
		Giocatore.Cognome = dbCursor.GetString("cognome")		
		Giocatore.Eta = dbCursor.GetString("eta")
		Giocatore.Altezza = dbCursor.GetString("altezza")
		Giocatore.Sport = dbCursor.GetString("sport")		
		XCLV1.Add(CreaItem(Giocatore, ItemWidth, ItemHeight),Giocatore)
	Loop	
	dbCursor.Close
End Sub

'PanelItem
Private Sub CreaItem(Giocatore As tGiocatori, ItemWidth As Int, ItemHeight As Int) As B4XView
	Dim xPnlItem As B4XView = xui.CreatePanel("")
	xPnlItem.SetLayoutAnimated(0, 0, 0, ItemWidth, ItemHeight)
	xPnlItem.LoadLayout("layItem")
	LBId.Text = Giocatore.Id	
	LBNome.Text = Giocatore.Nome
	LBCognome.Text = Giocatore.Cognome
	LBEta.Text = Giocatore.Eta
	LBAltezza.Text = Giocatore.Altezza
	LBSport.Text = Giocatore.Sport		
	Return xPnlItem
End Sub

Private Sub BTChiudi_Click	
	B4XPages.ClosePage(Me)	
End Sub

Private Sub XCLV1_ItemClick (Index As Int, Value As Object)
	
End Sub